
stations: 
  - Arany János utca (n5217774778)
  - Astoria (n5217774795)
  - Bajcsy-Zsilinszky út (n5217774776)
  - Bajza utca (n5217774762)
  - Batthyány tér (n5217774798)
  - Bikás park (n5217774782)
  - Blaha Lujza tér (n6503462456)
  - Corvin-negyed (n5217774773)
  - Deák Ferenc tér (n5217774796)
  - Déli pályaudvar (n5217774800)
  - Dózsa György út (n5217848811)
  - Ecseri út (n5217774769)
  - Ferenciek tere (n5217774774)
  - Forgách utca (n5217848812)
  - Fővám tér (n6376038704)
  - Gyöngyösi utca (n5217848809)
  - Göncz Árpád városközpont (n5217848810)
  - Határ út (n5217774767)
  - Hősök tere (n5217774761)
  - II. János Pál pápa tér (n5217774789)
  - Kelenföld vasútállomás (n5217774781)
  - Keleti pályaudvar (n5217774793)
  - Keleti pályaudvar (n6550925567)
  - Kodály körönd (n5217774763)
  - Kossuth Lajos tér (n5217774797)
  - Kálvin tér (n5217774787)
  - Kálvin tér (n6550922632)
  - Kőbánya-Kispest (n5217774766)
  - Lehel tér (n5217774780)
  - Mexikói út (n5217774759)
  - Móricz Zsigmond körtér (n5217774784)
  - Nagyvárad tér (n5217774771)
  - Nyugati pályaudvar (n5217774779)
  - Népliget (n5217774770)
  - Oktogon (n5217774765)
  - Opera (n5217774777)
  - Pillangó utca (n5217774791)
  - Puskás Ferenc Stadion (n5217774792)
  - Pöttyös utca (n5217774768)
  - Rákóczi tér (n5217774788)
  - Semmelweis Klinikák (n5217774772)
  - Szent Gellért tér – Műegyetem (n5217774785)
  - Széchenyi fürdő (n5217774760)
  - Széll Kálmán tér (n5217774799)
  - Vörösmarty tér (n5217774775)
  - Vörösmarty utca (n5217774764)
  - Örs vezér tere (n5217774790)
  - Újbuda-központ (n5217774783)
  - Újpest-központ (n6372285730)
  - Újpest-városkapu (n5217848813)

transfers: 
  - 
    - Deák Ferenc tér M1 (r7717632)
    - Deák Ferenc tér M2 (r7717634)
    - Deák Ferenc tér M3 (r7717633)
  - 
    - Keleti pályaudvar M2 (r7717631)
    - Keleti pályaudvar M4 (r7717630)
  - 
    - Kálvin tér M3 (r7717624)
    - Kálvin tér M4 (r7717625)

routes: 
  - 
    type: subway
    ref: M1
    name: Millenniumi Földalatti Vasút
    colour: '#ffd800'
    station_count: 11
    stations: 
      - Vörösmarty tér
      - Deák Ferenc tér M1
      - Bajcsy-Zsilinszky út
      - Opera
      - Oktogon
      - Vörösmarty utca
      - Kodály körönd
      - Bajza utca
      - Hősök tere
      - Széchenyi fürdő
      - Mexikói út M1

    itineraries: 
      r1771521: 
        - Vörösmarty tér (n5217774775)
        - Deák Ferenc tér (n5217774796)
        - Bajcsy-Zsilinszky út (n5217774776)
        - Opera (n5217774777)
        - Oktogon (n5217774765)
        - Vörösmarty utca (n5217774764)
        - Kodály körönd (n5217774763)
        - Bajza utca (n5217774762)
        - Hősök tere (n5217774761)
        - Széchenyi fürdő (n5217774760)
        - Mexikói út (n5217774759)

      r1771522: 
        - Mexikói út (n5217774759)
        - Széchenyi fürdő (n5217774760)
        - Hősök tere (n5217774761)
        - Bajza utca (n5217774762)
        - Kodály körönd (n5217774763)
        - Vörösmarty utca (n5217774764)
        - Oktogon (n5217774765)
        - Opera (n5217774777)
        - Bajcsy-Zsilinszky út (n5217774776)
        - Deák Ferenc tér (n5217774796)
        - Vörösmarty tér (n5217774775)


  - 
    type: subway
    ref: M2
    name: M2
    colour: '#e41f18'
    station_count: 11
    stations: 
      - Déli pályaudvar
      - Széll Kálmán tér
      - Batthyány tér
      - Kossuth Lajos tér
      - Deák Ferenc tér M2
      - Astoria M2
      - Blaha Lujza tér
      - Keleti pályaudvar M2
      - Puskás Ferenc Stadion
      - Pillangó utca
      - Örs vezér tere M2

    itineraries: 
      r4121431: 
        - Déli pályaudvar (n5217774800)
        - Széll Kálmán tér (n5217774799)
        - Batthyány tér (n5217774798)
        - Kossuth Lajos tér (n5217774797)
        - Deák Ferenc tér (n5217774796)
        - Astoria (n5217774795)
        - Blaha Lujza tér (n6503462456)
        - Keleti pályaudvar (n5217774793)
        - Puskás Ferenc Stadion (n5217774792)
        - Pillangó utca (n5217774791)
        - Örs vezér tere (n5217774790)

      r4121432: 
        - Örs vezér tere (n5217774790)
        - Pillangó utca (n5217774791)
        - Puskás Ferenc Stadion (n5217774792)
        - Keleti pályaudvar (n5217774793)
        - Blaha Lujza tér (n6503462456)
        - Astoria (n5217774795)
        - Deák Ferenc tér (n5217774796)
        - Kossuth Lajos tér (n5217774797)
        - Batthyány tér (n5217774798)
        - Széll Kálmán tér (n5217774799)
        - Déli pályaudvar (n5217774800)

      r12719883: 
        - Déli pályaudvar (n5217774800)
        - Széll Kálmán tér (n5217774799)
        - Batthyány tér (n5217774798)
        - Kossuth Lajos tér (n5217774797)
        - Deák Ferenc tér (n5217774796)
        - Astoria (n5217774795)
        - Blaha Lujza tér (n6503462456)
        - Keleti pályaudvar (n5217774793)
        - Puskás Ferenc Stadion (n5217774792)
        - Pillangó utca (n5217774791)
        - Örs vezér tere (n5217774790)


  - 
    type: subway
    ref: M3
    name: M3
    colour: '#005ca5'
    station_count: 20
    stations: 
      - Kőbánya-Kispest M
      - Határ út
      - Pöttyös utca
      - Ecseri út
      - Népliget
      - Nagyvárad tér
      - Semmelweis Klinikák
      - Corvin-negyed
      - Kálvin tér M3
      - Ferenciek tere
      - Deák Ferenc tér M3
      - Arany János utca
      - Nyugati pályaudvar M
      - Lehel tér
      - Dózsa György út
      - Göncz Árpád városközpont
      - Forgách utca
      - Gyöngyösi utca
      - Újpest-városkapu
      - Újpest-központ

    itineraries: 
      r4121433: 
        - Kőbánya-Kispest (n5217774766)
        - Határ út (n5217774767)
        - Pöttyös utca (n5217774768)
        - Ecseri út (n5217774769)
        - Népliget (n5217774770)
        - Nagyvárad tér (n5217774771)
        - Semmelweis Klinikák (n5217774772)
        - Corvin-negyed (n5217774773)
        - Kálvin tér (n5217774787)
        - Ferenciek tere (n5217774774)
        - Deák Ferenc tér (n5217774796)
        - Arany János utca (n5217774778)
        - Nyugati pályaudvar (n5217774779)
        - Lehel tér (n5217774780)
        - Dózsa György út (n5217848811)
        - Göncz Árpád városközpont (n5217848810)
        - Forgách utca (n5217848812)
        - Gyöngyösi utca (n5217848809)
        - Újpest-városkapu (n5217848813)
        - Újpest-központ (n6372285730)

      r4121434: 
        - Újpest-központ (n6372285730)
        - Újpest-városkapu (n5217848813)
        - Gyöngyösi utca (n5217848809)
        - Forgách utca (n5217848812)
        - Göncz Árpád városközpont (n5217848810)
        - Dózsa György út (n5217848811)
        - Lehel tér (n5217774780)
        - Nyugati pályaudvar (n5217774779)
        - Arany János utca (n5217774778)
        - Deák Ferenc tér (n5217774796)
        - Ferenciek tere (n5217774774)
        - Kálvin tér (n5217774787)
        - Corvin-negyed (n5217774773)
        - Semmelweis Klinikák (n5217774772)
        - Nagyvárad tér (n5217774771)
        - Népliget (n5217774770)
        - Ecseri út (n5217774769)
        - Pöttyös utca (n5217774768)
        - Határ út (n5217774767)
        - Kőbánya-Kispest (n5217774766)


  - 
    type: subway
    ref: M4
    name: M4
    colour: '#4ca22f'
    station_count: 10
    stations: 
      - Kelenföld vasútállomás M4
      - Bikás park
      - Újbuda-központ
      - Móricz Zsigmond körtér
      - Szent Gellért tér
      - Fővám tér
      - Kálvin tér M4
      - Rákóczi tér
      - II. János Pál pápa tér
      - Keleti pályaudvar M4

    itineraries: 
      r4121435: 
        - Kelenföld vasútállomás (n5217774781)
        - Bikás park (n5217774782)
        - Újbuda-központ (n5217774783)
        - Móricz Zsigmond körtér (n5217774784)
        - Szent Gellért tér – Műegyetem (n5217774785)
        - Fővám tér (n6376038704)
        - Kálvin tér (n6550922632)
        - Rákóczi tér (n5217774788)
        - II. János Pál pápa tér (n5217774789)
        - Keleti pályaudvar (n6550925567)

      r4121436: 
        - Keleti pályaudvar (n6550925567)
        - II. János Pál pápa tér (n5217774789)
        - Rákóczi tér (n5217774788)
        - Kálvin tér (n6550922632)
        - Fővám tér (n6376038704)
        - Szent Gellért tér – Műegyetem (n5217774785)
        - Móricz Zsigmond körtér (n5217774784)
        - Újbuda-központ (n5217774783)
        - Bikás park (n5217774782)
        - Kelenföld vasútállomás (n5217774781)



